GNU bug report logs - #28588
Issue with GNU Shepherd make check

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: leestrobel@HIDDEN; merged with #23811; dated Sun, 24 Sep 2017 21:37:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 23811 28588. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 28588 <at> debbugs.gnu.org:


Received: (at 28588) by debbugs.gnu.org; 28 Sep 2017 17:20:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 28 13:20:45 2017
Received: from localhost ([127.0.0.1]:37023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dxcUM-0000EH-OZ
	for submit <at> debbugs.gnu.org; Thu, 28 Sep 2017 13:20:45 -0400
Received: from bs-one.disroot.org ([178.21.23.139]:33502 helo=disroot.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leestrobel@HIDDEN>) id 1dxcUK-0000E8-QS
 for 28588 <at> debbugs.gnu.org; Thu, 28 Sep 2017 13:20:41 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 5188F28040;
 Thu, 28 Sep 2017 19:20:39 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1506619239; bh=qMOnvL14hox6IFhOGJZ1jWJ3+vmyYmhGOPAfu55zlSA=;
 h=Date:From:Subject:To:Cc:In-Reply-To:References:From;
 b=MzpiQVg2rJw+6/T1Zmc/EhTVRT7h7Vl+AAbzsJ8teall/zeV7aF7zM8D1Xp6ulS6X
 C1SMK+hupxRVgi35nsQxD8+0FZjotEh+o1I3xIBopILg05/s/7l3RhHwtyxdNe57xu
 mmd99zVpkcoduuXsgzW6zHYaBxjSfkntwxo/oMKU=
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from disroot.org ([127.0.0.1])
 by localhost (mail01.disroot.lan [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id uKI114XpZHV2; Thu, 28 Sep 2017 19:20:33 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1506619233; bh=qMOnvL14hox6IFhOGJZ1jWJ3+vmyYmhGOPAfu55zlSA=;
 h=Date:From:Subject:To:Cc:In-Reply-To:References:From;
 b=M3A0CBK92T6V6Wt6PSwDojfxOC+JqhRRh5nwfvaoOcoXOtpEd0YMPJzcAR+YFKuXs
 Q1mNeHIuTTLKSrrJlZdb3vy0QqHPTlPZWoOt+4JFNqU6zrEoG8tjY3lUqz6KKmuSgZ
 l7Y3HY9Kth7b/iX4njT9YgG8Kbdc3JNZpOLqu4lo=
Date: Thu, 28 Sep 2017 17:20:33 +0000
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
From: leestrobel@HIDDEN
Message-ID: <5a996a3ff1cb2b5ce67a75df4d036eee@HIDDEN>
Subject: Re: bug#28588: Issue with GNU Shepherd make check
To: ludo@HIDDEN
In-Reply-To: <87vak2rjzd.fsf@HIDDEN>
References: <87vak2rjzd.fsf@HIDDEN>
 <0f522ae23f8afa2defc3abc7d2cfe187@HIDDEN>
 <87mv5h65jo.fsf@HIDDEN> <1506467318.6173.1.camel@lee-LibreBook>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28588
Cc: Ricardo Wurmus <rekado@HIDDEN>, 28588 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Ok, thanks very much!=0A=0ALee=0A=0A=0ASeptember 28, 2017 10:12 AM, ludo@=
gnu.org wrote:=0A=0A> Hello,=0A> =0A> Lee Strobel <leestrobel@HIDDEN=
> skribis:=0A> =0A>> Although, tests/respawn.sh failed (the only one that=
 did). I don't know=0A>> how critical that one is, but I will attach the =
test-suite.log file in=0A>> case it might be of interest.=0A> =0A> This t=
est is known to be unreliable currently:=0A> <https://bugs.gnu.org/23811>=
.=0A> =0A> It=E2=80=99s OK though that=E2=80=99s obviously something we=
=E2=80=99ll fix.=0A> =0A> Thanks for your report,=0A> Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#28588; Package guix. Full text available.

Message received at 28588 <at> debbugs.gnu.org:


Received: (at 28588) by debbugs.gnu.org; 28 Sep 2017 14:11:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 28 10:11:51 2017
Received: from localhost ([127.0.0.1]:36862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dxZXa-0000Jl-Pf
	for submit <at> debbugs.gnu.org; Thu, 28 Sep 2017 10:11:50 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57449)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1dxZXY-0000JY-Ge
 for 28588 <at> debbugs.gnu.org; Thu, 28 Sep 2017 10:11:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1dxZXN-0007NI-CQ
 for 28588 <at> debbugs.gnu.org; Thu, 28 Sep 2017 10:11:43 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:44194)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1dxZXN-0007ND-8i; Thu, 28 Sep 2017 10:11:37 -0400
Received: from [193.50.110.164] (port=55038 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1dxZXM-0000pD-Qd; Thu, 28 Sep 2017 10:11:37 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Lee Strobel <leestrobel@HIDDEN>
Subject: Re: bug#28588: Issue with GNU Shepherd make check
References: <0f522ae23f8afa2defc3abc7d2cfe187@HIDDEN>
 <87mv5h65jo.fsf@HIDDEN> <1506467318.6173.1.camel@lee-LibreBook>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 7 =?utf-8?Q?Vend=C3=A9miaire?= an 226 de la
 =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 28 Sep 2017 16:11:34 +0200
In-Reply-To: <1506467318.6173.1.camel@lee-LibreBook> (Lee Strobel's message of
 "Tue, 26 Sep 2017 19:08:38 -0400")
Message-ID: <87vak2rjzd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28588
Cc: Ricardo Wurmus <rekado@HIDDEN>, 28588 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hello,

Lee Strobel <leestrobel@HIDDEN> skribis:

> Although, tests/respawn.sh failed (the only one that did). I don't know
> how critical that one is, but I will attach the test-suite.log file in
> case it might be of interest.

This test is known to be unreliable currently:
<https://bugs.gnu.org/23811>.

It=E2=80=99s OK though that=E2=80=99s obviously something we=E2=80=99ll fix.

Thanks for your report,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#28588; Package guix. Full text available.

Message received at 28588 <at> debbugs.gnu.org:


Received: (at 28588) by debbugs.gnu.org; 27 Sep 2017 00:28:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 26 20:28:40 2017
Received: from localhost ([127.0.0.1]:33844 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dx0DP-0007bh-IK
	for submit <at> debbugs.gnu.org; Tue, 26 Sep 2017 20:28:40 -0400
Received: from bs-one.disroot.org ([178.21.23.139]:52502 helo=disroot.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leestrobel@HIDDEN>) id 1dx0DM-0007bW-K5
 for 28588 <at> debbugs.gnu.org; Tue, 26 Sep 2017 20:28:37 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id EA8FC28006;
 Wed, 27 Sep 2017 02:28:34 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1506472114; bh=KxzRDYI5YQCo4uydBEBAMMkWc3iBULiIOVrJNqV4MvE=;
 h=Date:From:Subject:To:Cc:In-Reply-To:References:From;
 b=XJYRGw+ud3EBKthPjLQkJ4oLEl0ISZ4+AAwJXIjuXoPkSm+96Bi1DnvSnJEoDZIaa
 GftiByUIJTYrD7/LWXx4ccNuB0zjitOFhYeC2eiBgUbk9d3cu0skqVSmAv8yj/Ksfe
 XXbz/ohp6rSkU8613rQOEPi+CFQujUeqoicyrKsk=
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from disroot.org ([127.0.0.1])
 by localhost (mail01.disroot.lan [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id oNkuH6asV0Lp; Wed, 27 Sep 2017 02:28:29 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1506472109; bh=KxzRDYI5YQCo4uydBEBAMMkWc3iBULiIOVrJNqV4MvE=;
 h=Date:From:Subject:To:Cc:In-Reply-To:References:From;
 b=TpXlp3au4WvFRVCntpEItBE16FcBw1qOHW6070wJbjN+zc4ZHMgzGcDvwxQCRYz9n
 di88rRucNuxhTvML6yGdZQ6/n1K+riIxzKXZdlje+grbh+wwX9cchuWF5Th91QylHi
 5SbIvuozPlyq01wh9Pe6oto9oT8TbZTYJcSmdqOU=
Date: Wed, 27 Sep 2017 00:28:29 +0000
Content-Type: multipart/mixed; boundary="--=_RainLoop_283_546412426.1506472109"
From: leestrobel@HIDDEN
Message-ID: <0ec33be70390cf95fde7d141e78f14be@HIDDEN>
Subject: Re: bug#28588: Issue with GNU Shepherd make check
To: "Ricardo Wurmus" <rekado@HIDDEN>
In-Reply-To: <87mv5h65jo.fsf@HIDDEN>
References: <87mv5h65jo.fsf@HIDDEN>
 <0f522ae23f8afa2defc3abc7d2cfe187@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28588
Cc: 28588 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)


----=_RainLoop_283_546412426.1506472109
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable

Hi Ricardo,=0A=0AI figured out why I was getting those errors - I hadn't =
given ownership of the source folder to the unprivileged user I was using=
 to run the tests. I gave that user ownership and re-ran the tests and th=
ey all ran ok (sorry, my bad).=0A=0AAlthough, tests/respawn.sh failed (th=
e only one that did). I don't know how critical that one is, but I will a=
ttach the test-suite.log file, in case that is of any interest.=0A=0AThan=
ks!=0A=0ALee=0A=0AP.S. I may have sent this e-mail more than once, as I'v=
e had some issues with my e-mail - if so, I apologize.=0A=0A=0ASeptember =
26, 2017 7:52 AM, "Ricardo Wurmus" <rekado@HIDDEN> wrote:=0A=0A> lee=
strobel@HIDDEN writes:=0A> =0A>> If I try 'make check' without root =
privileges, some other errors get=0A>> thrown up.=0A> =0A> What errors ar=
e those?=0A> =0A> --=0A> Ricardo=0A> =0A> GPG: BCA6 89B6 3655 3801 C3C6 2=
150 197A 5888 235F ACAC=0A> https://elephly.net

----=_RainLoop_283_546412426.1506472109
Content-Type: text/plain; name="test-suite.log"
Content-Disposition: attachment; filename="test-suite.log"
Content-Transfer-Encoding: base64
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----=_RainLoop_283_546412426.1506472109--




Information forwarded to bug-guix@HIDDEN:
bug#28588; Package guix. Full text available.

Message received at 28588 <at> debbugs.gnu.org:


Received: (at 28588) by debbugs.gnu.org; 26 Sep 2017 23:09:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 26 19:09:01 2017
Received: from localhost ([127.0.0.1]:33777 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dwyyK-0005g4-QQ
	for submit <at> debbugs.gnu.org; Tue, 26 Sep 2017 19:09:01 -0400
Received: from bs-one.disroot.org ([178.21.23.139]:58288 helo=disroot.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leestrobel@HIDDEN>) id 1dwyyI-0005fu-9n
 for 28588 <at> debbugs.gnu.org; Tue, 26 Sep 2017 19:08:59 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 8E78927FD4;
 Wed, 27 Sep 2017 01:08:57 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1506467337; bh=18pGrWJic3gS74b50d1icPJ3FcNas5tXvgq85+/5Noc=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References:From;
 b=ZZrsNCbtXwomLh/QAa0OOb4Etrij34YCg4XuQpT1/VUMawtM61Z6IHVxo/g4sTO7Z
 RY9n0q0C0HBO6OttUWH8OhJlDgVHa8ShMgDY2pWFEiWvzFPb621TPtXnZZMLfQ/G6C
 iAhdqkBXDUw1S2XHE5T1b/fM6ce9aNCHou09ns4Y=
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from disroot.org ([127.0.0.1])
 by localhost (mail01.disroot.lan [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id iyNxgvQpv3AP; Wed, 27 Sep 2017 01:08:51 +0200 (CEST)
Message-ID: <1506467318.6173.1.camel@lee-LibreBook>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1506467331; bh=18pGrWJic3gS74b50d1icPJ3FcNas5tXvgq85+/5Noc=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References:From;
 b=Wg4mIk5t+4o6REU1dGp/1DNGRmHZrqBRiOy+Ifg3/wHFveurf2U4u8W2eRDbehrD8
 84C5tFe+SJr27tmySmRgH762MgenCMleIRoJ/t4VigLDtx22HHKe2KYnDB/x3dYo6d
 J7quHN4Ak7x+fXrIL0uhk7mHFHYIMwK4QgWxpp0s=
Subject: Re: bug#28588: Issue with GNU Shepherd make check
From: Lee Strobel <leestrobel@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Date: Tue, 26 Sep 2017 19:08:38 -0400
In-Reply-To: <87mv5h65jo.fsf@HIDDEN>
References: <0f522ae23f8afa2defc3abc7d2cfe187@HIDDEN>
 <87mv5h65jo.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="=-xHwPBISkgu7R1NZzMGEH"
Mime-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28588
Cc: 28588 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)


--=-xHwPBISkgu7R1NZzMGEH
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit

Hi Ricardo,

I figured out why I was getting those errors - I hadn't given the
unprivileged user I was using ownership of the source folder. I gave the
folder ownership to the user and re-ran the tests and they worked ok
(sorry, my bad).

Although, tests/respawn.sh failed (the only one that did). I don't know
how critical that one is, but I will attach the test-suite.log file in
case it might be of interest.

Many thanks!

Lee


On Tue, 2017-09-26 at 13:52 +0200, Ricardo Wurmus wrote:
> leestrobel@HIDDEN writes:
> 
> > If I try 'make check' without root privileges, some other errors get
> > thrown up.
> 
> What errors are those?
> 
> --
> Ricardo
> 
> GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
> https://elephly.net
> 


--=-xHwPBISkgu7R1NZzMGEH
Content-Disposition: attachment; filename="test-suite.log"
Content-Type: text/x-log; name="test-suite.log"; charset="UTF-8"
Content-Transfer-Encoding: 7bit

==========================================
   GNU Shepherd 0.3.2: ./test-suite.log
==========================================

# TOTAL: 8
# PASS:  7
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: tests/respawn
===================

+ shepherd --version
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/service.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/service.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/service.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
shepherd (GNU Shepherd) 0.3.2
Copyright (C) 2016 the Shepherd authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
+ herd --version
herd (GNU Shepherd) 0.3.2
Copyright (C) 2016 the Shepherd authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
+ socket=t-socket-7568
+ conf=t-conf-7568
+ log=t-log-7568
+ stamp=t-stamp-7568
+ service1_pid=t-service1-pid-7568
+ service2_pid=t-service2-pid-7568
+ pid=t-pid-7568
+ herd='herd -s t-socket-7568'
+ trap 'cat t-log-7568 || true ;
  rm -f t-socket-7568 t-conf-7568 t-stamp-7568 t-log-7568 ;
  test -f t-pid-7568 && kill `cat t-pid-7568` || true ; rm -f t-pid-7568 ;
  test -f t-service1-pid-7568 && kill `cat t-service1-pid-7568` || true ;
  test -f t-service2-pid-7568 && kill `cat t-service2-pid-7568` || true ;
  rm -f t-service1-pid-7568 t-service2-pid-7568' EXIT
+ cat
+ rm -f t-pid-7568
+ wait_for_file t-pid-7568
+ i=0
+ test -f t-pid-7568
+ shepherd -I -s t-socket-7568 -c t-conf-7568 -l t-log-7568 --pid=t-pid-7568
+ test 0 -lt 20
+ sleep 0.3
++ expr 0 + 1
+ i=1
+ test -f t-pid-7568
+ test 1 -lt 20
+ sleep 0.3
++ expr 1 + 1
+ i=2
+ test -f t-pid-7568
+ test -f t-pid-7568
++ cat t-pid-7568
+ shepherd_pid=7577
+ kill -0 7577
+ test -S t-socket-7568
+ herd -s t-socket-7568 status
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
Started:
 + test1
 + root
Stopped:
 - test2

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
+ herd -s t-socket-7568 status test1
+ grep started
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
  It is started.
+ herd -s t-socket-7568 start test2
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
Service test2 has been started.

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
+ grep started
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
  It is started.
+ test -f t-service2-pid-7568
+ wait_for_file t-service1-pid-7568
+ i=0
+ test -f t-service1-pid-7568
+ test -f t-service1-pid-7568
++ cat t-service1-pid-7568
+ kill -0 7584
++ cat t-service2-pid-7568
+ kill -0 7598
+ assert_killed_service_is_respawned t-service1-pid-7568
++ cat t-service1-pid-7568
+ old_pid=7584
+ rm t-service1-pid-7568
+ kill 7584
+ wait_for_file t-service1-pid-7568
+ i=0
+ test -f t-service1-pid-7568
+ test 0 -lt 20
+ sleep 0.3
++ expr 0 + 1
+ i=1
+ test -f t-service1-pid-7568
+ test 1 -lt 20
+ sleep 0.3
++ expr 1 + 1
+ i=2
+ test -f t-service1-pid-7568
+ test 2 -lt 20
+ sleep 0.3
++ expr 2 + 1
+ i=3
+ test -f t-service1-pid-7568
+ test -f t-service1-pid-7568
+ test -f t-service1-pid-7568
++ cat t-service1-pid-7568
+ new_pid=7617
+ test 7584 -ne 7617
+ kill -0 7617
+ assert_killed_service_is_respawned t-service2-pid-7568
++ cat t-service2-pid-7568
+ old_pid=7598
+ rm t-service2-pid-7568
+ kill 7598
+ wait_for_file t-service2-pid-7568
+ i=0
+ test -f t-service2-pid-7568
+ test 0 -lt 20
+ sleep 0.3
++ expr 0 + 1
+ i=1
+ test -f t-service2-pid-7568
+ test 1 -lt 20
+ sleep 0.3
++ expr 1 + 1
+ i=2
+ test -f t-service2-pid-7568
+ test 2 -lt 20
+ sleep 0.3
++ expr 2 + 1
+ i=3
+ test -f t-service2-pid-7568
+ test 3 -lt 20
+ sleep 0.3
++ expr 3 + 1
+ i=4
+ test -f t-service2-pid-7568
+ test 4 -lt 20
+ sleep 0.3
++ expr 4 + 1
+ i=5
+ test -f t-service2-pid-7568
+ test 5 -lt 20
+ sleep 0.3
++ expr 5 + 1
+ i=6
+ test -f t-service2-pid-7568
+ test -f t-service2-pid-7568
+ test -f t-service2-pid-7568
++ cat t-service2-pid-7568
+ new_pid=7628
+ test 7598 -ne 7628
+ kill -0 7628
+ assert_killed_service_is_respawned t-service1-pid-7568
++ cat t-service1-pid-7568
+ old_pid=7617
+ rm t-service1-pid-7568
+ kill 7617
+ wait_for_file t-service1-pid-7568
+ i=0
+ test -f t-service1-pid-7568
+ test 0 -lt 20
+ sleep 0.3
++ expr 0 + 1
+ i=1
+ test -f t-service1-pid-7568
+ test 1 -lt 20
+ sleep 0.3
++ expr 1 + 1
+ i=2
+ test -f t-service1-pid-7568
+ test 2 -lt 20
+ sleep 0.3
++ expr 2 + 1
+ i=3
+ test -f t-service1-pid-7568
+ test 3 -lt 20
+ sleep 0.3
++ expr 3 + 1
+ i=4
+ test -f t-service1-pid-7568
+ test -f t-service1-pid-7568
+ test -f t-service1-pid-7568
++ cat t-service1-pid-7568
+ new_pid=7650
+ test 7617 -ne 7650
+ kill -0 7650
+ assert_killed_service_is_respawned t-service2-pid-7568
++ cat t-service2-pid-7568
+ old_pid=7628
+ rm t-service2-pid-7568
+ kill 7628
+ wait_for_file t-service2-pid-7568
+ i=0
+ test -f t-service2-pid-7568
+ test 0 -lt 20
+ sleep 0.3
++ expr 0 + 1
+ i=1
+ test -f t-service2-pid-7568
+ test 1 -lt 20
+ sleep 0.3
++ expr 1 + 1
+ i=2
+ test -f t-service2-pid-7568
+ test 2 -lt 20
+ sleep 0.3
++ expr 2 + 1
+ i=3
+ test -f t-service2-pid-7568
+ test 3 -lt 20
+ sleep 0.3
++ expr 3 + 1
+ i=4
+ test -f t-service2-pid-7568
+ test 4 -lt 20
+ sleep 0.3
++ expr 4 + 1
+ i=5
+ test -f t-service2-pid-7568
+ test 5 -lt 20
+ sleep 0.3
++ expr 5 + 1
+ i=6
+ test -f t-service2-pid-7568
+ test 6 -lt 20
+ sleep 0.3
++ expr 6 + 1
+ i=7
+ test -f t-service2-pid-7568
+ test 7 -lt 20
+ sleep 0.3
++ expr 7 + 1
+ i=8
+ test -f t-service2-pid-7568
+ test 8 -lt 20
+ sleep 0.3
++ expr 8 + 1
+ i=9
+ test -f t-service2-pid-7568
+ test 9 -lt 20
+ sleep 0.3
++ expr 9 + 1
+ i=10
+ test -f t-service2-pid-7568
+ test 10 -lt 20
+ sleep 0.3
++ expr 10 + 1
+ i=11
+ test -f t-service2-pid-7568
+ test 11 -lt 20
+ sleep 0.3
++ expr 11 + 1
+ i=12
+ test -f t-service2-pid-7568
+ test 12 -lt 20
+ sleep 0.3
++ expr 12 + 1
+ i=13
+ test -f t-service2-pid-7568
+ test 13 -lt 20
+ sleep 0.3
++ expr 13 + 1
+ i=14
+ test -f t-service2-pid-7568
+ test 14 -lt 20
+ sleep 0.3
++ expr 14 + 1
+ i=15
+ test -f t-service2-pid-7568
+ test 15 -lt 20
+ sleep 0.3
++ expr 15 + 1
+ i=16
+ test -f t-service2-pid-7568
+ test 16 -lt 20
+ sleep 0.3
++ expr 16 + 1
+ i=17
+ test -f t-service2-pid-7568
+ test 17 -lt 20
+ sleep 0.3
++ expr 17 + 1
+ i=18
+ test -f t-service2-pid-7568
+ test 18 -lt 20
+ sleep 0.3
++ expr 18 + 1
+ i=19
+ test -f t-service2-pid-7568
+ test 19 -lt 20
+ sleep 0.3
++ expr 19 + 1
+ i=20
+ test -f t-service2-pid-7568
+ test 20 -lt 20
+ test -f t-service2-pid-7568
+ cat t-log-7568
2017-09-26 18:48:23 Service root has been started.
2017-09-26 18:48:23 Service test1 has been started.
2017-09-26 18:48:25 Service test2 has been started.
2017-09-26 18:48:26 Respawning test1.
2017-09-26 18:48:26 Service test1 has been started.
2017-09-26 18:48:27 Respawning test2.
2017-09-26 18:48:28 Service test2 has been started.
2017-09-26 18:48:29 Respawning test1.
2017-09-26 18:48:29 Service test1 has been started.
2017-09-26 18:48:30 Respawning test2.
2017-09-26 18:48:35 Service test2 could not be started.
+ rm -f t-socket-7568 t-conf-7568 t-stamp-7568 t-log-7568
+ test -f t-pid-7568
++ cat t-pid-7568
+ kill 7577
+ rm -f t-pid-7568
+ test -f t-service1-pid-7568
++ cat t-service1-pid-7568
+ kill 7650
+ test -f t-service2-pid-7568
+ true
+ rm -f t-service1-pid-7568 t-service2-pid-7568
./tests/respawn.sh: line 6:  7577 Terminated              shepherd -I -s "$socket" -c "$conf" -l "$log" --pid="$pid"
FAIL tests/respawn.sh (exit status: 1)


--=-xHwPBISkgu7R1NZzMGEH--





Information forwarded to bug-guix@HIDDEN:
bug#28588; Package guix. Full text available.

Message received at 28588 <at> debbugs.gnu.org:


Received: (at 28588) by debbugs.gnu.org; 26 Sep 2017 23:00:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 26 19:00:12 2017
Received: from localhost ([127.0.0.1]:33770 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dwypn-0005Tv-E4
	for submit <at> debbugs.gnu.org; Tue, 26 Sep 2017 19:00:12 -0400
Received: from bs-one.disroot.org ([178.21.23.139]:53718 helo=disroot.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leestrobel@HIDDEN>) id 1dwypk-0005Tl-IA
 for 28588 <at> debbugs.gnu.org; Tue, 26 Sep 2017 19:00:09 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 0225528000;
 Wed, 27 Sep 2017 01:00:07 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1506466807; bh=PxH0QPTLZn/Zk2JtH8Cc0+XqIgamOLi6g0QbKcu+/Uo=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References:From;
 b=d5QFXAFo1v5VWnj1G5HA8lxnOGf5eS4yXX6nBaEaJqbZ2+53nKKPy75lx3ksCe3qP
 C+svT+vnL5yOWUCjFIm6fq/3AymfqKiRAjQEE8omvKjVkI2TDP5bGiACuvzFVAtaCZ
 GdFH0jQEtUclqbkTg5w5zQsIDsQQ+9DFZqedsOqM=
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from disroot.org ([127.0.0.1])
 by localhost (mail01.disroot.lan [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 52dJXJN8CWtc; Wed, 27 Sep 2017 00:59:59 +0200 (CEST)
Message-ID: <1506466786.6173.0.camel@lee-LibreBook>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1506466799; bh=PxH0QPTLZn/Zk2JtH8Cc0+XqIgamOLi6g0QbKcu+/Uo=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References:From;
 b=oiDuFwr7p0F54xppnXPo/TY2KS7GBx8dxjsgaKpp56eo13bh4RJqqxIRKqOl5zM/j
 R+p38LiDXL7N9NxjDtmutHor8cz5+lHaq7mhepUIGFvYQYcbGO+15JvviAmdjY4nY5
 c3S/nr3BfwPdYcAyXd0DF7EOTTpxdBy40eZvcSi0=
Subject: Re: bug#28588: Issue with GNU Shepherd make check
From: Lee Strobel <leestrobel@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Date: Tue, 26 Sep 2017 18:59:46 -0400
In-Reply-To: <87mv5h65jo.fsf@HIDDEN>
References: <0f522ae23f8afa2defc3abc7d2cfe187@HIDDEN>
 <87mv5h65jo.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="=-/iYFj4vlXTnCLl2X2HpV"
Mime-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28588
Cc: 28588 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)


--=-/iYFj4vlXTnCLl2X2HpV
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit

Hi Ricardo,

I figured out why I was getting those errors - I hadn't given ownership
of the source folder to the non-privileged user I was using. I gave the
folder ownership to that user and re-ran the tests and they ran ok
(sorry, my bad).

Although, tests/respawn.sh failed (the only one out of 8). I don't know
how critical that test is, but I will attach the test-suite.log file, in
case that might be of interest.

Many thanks,

Lee


On Tue, 2017-09-26 at 13:52 +0200, Ricardo Wurmus wrote:
> leestrobel@HIDDEN writes:
> 
> > If I try 'make check' without root privileges, some other errors get
> > thrown up.
> 
> What errors are those?
> 
> --
> Ricardo
> 
> GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
> https://elephly.net
> 


--=-/iYFj4vlXTnCLl2X2HpV
Content-Disposition: attachment; filename="test-suite.log"
Content-Type: text/x-log; name="test-suite.log"; charset="UTF-8"
Content-Transfer-Encoding: 7bit

==========================================
   GNU Shepherd 0.3.2: ./test-suite.log
==========================================

# TOTAL: 8
# PASS:  7
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: tests/respawn
===================

+ shepherd --version
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/service.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/service.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/service.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
shepherd (GNU Shepherd) 0.3.2
Copyright (C) 2016 the Shepherd authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
+ herd --version
herd (GNU Shepherd) 0.3.2
Copyright (C) 2016 the Shepherd authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
+ socket=t-socket-7568
+ conf=t-conf-7568
+ log=t-log-7568
+ stamp=t-stamp-7568
+ service1_pid=t-service1-pid-7568
+ service2_pid=t-service2-pid-7568
+ pid=t-pid-7568
+ herd='herd -s t-socket-7568'
+ trap 'cat t-log-7568 || true ;
  rm -f t-socket-7568 t-conf-7568 t-stamp-7568 t-log-7568 ;
  test -f t-pid-7568 && kill `cat t-pid-7568` || true ; rm -f t-pid-7568 ;
  test -f t-service1-pid-7568 && kill `cat t-service1-pid-7568` || true ;
  test -f t-service2-pid-7568 && kill `cat t-service2-pid-7568` || true ;
  rm -f t-service1-pid-7568 t-service2-pid-7568' EXIT
+ cat
+ rm -f t-pid-7568
+ wait_for_file t-pid-7568
+ i=0
+ test -f t-pid-7568
+ shepherd -I -s t-socket-7568 -c t-conf-7568 -l t-log-7568 --pid=t-pid-7568
+ test 0 -lt 20
+ sleep 0.3
++ expr 0 + 1
+ i=1
+ test -f t-pid-7568
+ test 1 -lt 20
+ sleep 0.3
++ expr 1 + 1
+ i=2
+ test -f t-pid-7568
+ test -f t-pid-7568
++ cat t-pid-7568
+ shepherd_pid=7577
+ kill -0 7577
+ test -S t-socket-7568
+ herd -s t-socket-7568 status
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
Started:
 + test1
 + root
Stopped:
 - test2

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
+ herd -s t-socket-7568 status test1
+ grep started
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
  It is started.
+ herd -s t-socket-7568 start test2
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
Service test2 has been started.

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
+ grep started
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument
;;; WARNING: loading compiled file /sources/shepherd-0.3.2/modules/shepherd/comm.go failed:
;;; ERROR: In procedure load-thunk-from-file: Invalid argument

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
  It is started.
+ test -f t-service2-pid-7568
+ wait_for_file t-service1-pid-7568
+ i=0
+ test -f t-service1-pid-7568
+ test -f t-service1-pid-7568
++ cat t-service1-pid-7568
+ kill -0 7584
++ cat t-service2-pid-7568
+ kill -0 7598
+ assert_killed_service_is_respawned t-service1-pid-7568
++ cat t-service1-pid-7568
+ old_pid=7584
+ rm t-service1-pid-7568
+ kill 7584
+ wait_for_file t-service1-pid-7568
+ i=0
+ test -f t-service1-pid-7568
+ test 0 -lt 20
+ sleep 0.3
++ expr 0 + 1
+ i=1
+ test -f t-service1-pid-7568
+ test 1 -lt 20
+ sleep 0.3
++ expr 1 + 1
+ i=2
+ test -f t-service1-pid-7568
+ test 2 -lt 20
+ sleep 0.3
++ expr 2 + 1
+ i=3
+ test -f t-service1-pid-7568
+ test -f t-service1-pid-7568
+ test -f t-service1-pid-7568
++ cat t-service1-pid-7568
+ new_pid=7617
+ test 7584 -ne 7617
+ kill -0 7617
+ assert_killed_service_is_respawned t-service2-pid-7568
++ cat t-service2-pid-7568
+ old_pid=7598
+ rm t-service2-pid-7568
+ kill 7598
+ wait_for_file t-service2-pid-7568
+ i=0
+ test -f t-service2-pid-7568
+ test 0 -lt 20
+ sleep 0.3
++ expr 0 + 1
+ i=1
+ test -f t-service2-pid-7568
+ test 1 -lt 20
+ sleep 0.3
++ expr 1 + 1
+ i=2
+ test -f t-service2-pid-7568
+ test 2 -lt 20
+ sleep 0.3
++ expr 2 + 1
+ i=3
+ test -f t-service2-pid-7568
+ test 3 -lt 20
+ sleep 0.3
++ expr 3 + 1
+ i=4
+ test -f t-service2-pid-7568
+ test 4 -lt 20
+ sleep 0.3
++ expr 4 + 1
+ i=5
+ test -f t-service2-pid-7568
+ test 5 -lt 20
+ sleep 0.3
++ expr 5 + 1
+ i=6
+ test -f t-service2-pid-7568
+ test -f t-service2-pid-7568
+ test -f t-service2-pid-7568
++ cat t-service2-pid-7568
+ new_pid=7628
+ test 7598 -ne 7628
+ kill -0 7628
+ assert_killed_service_is_respawned t-service1-pid-7568
++ cat t-service1-pid-7568
+ old_pid=7617
+ rm t-service1-pid-7568
+ kill 7617
+ wait_for_file t-service1-pid-7568
+ i=0
+ test -f t-service1-pid-7568
+ test 0 -lt 20
+ sleep 0.3
++ expr 0 + 1
+ i=1
+ test -f t-service1-pid-7568
+ test 1 -lt 20
+ sleep 0.3
++ expr 1 + 1
+ i=2
+ test -f t-service1-pid-7568
+ test 2 -lt 20
+ sleep 0.3
++ expr 2 + 1
+ i=3
+ test -f t-service1-pid-7568
+ test 3 -lt 20
+ sleep 0.3
++ expr 3 + 1
+ i=4
+ test -f t-service1-pid-7568
+ test -f t-service1-pid-7568
+ test -f t-service1-pid-7568
++ cat t-service1-pid-7568
+ new_pid=7650
+ test 7617 -ne 7650
+ kill -0 7650
+ assert_killed_service_is_respawned t-service2-pid-7568
++ cat t-service2-pid-7568
+ old_pid=7628
+ rm t-service2-pid-7568
+ kill 7628
+ wait_for_file t-service2-pid-7568
+ i=0
+ test -f t-service2-pid-7568
+ test 0 -lt 20
+ sleep 0.3
++ expr 0 + 1
+ i=1
+ test -f t-service2-pid-7568
+ test 1 -lt 20
+ sleep 0.3
++ expr 1 + 1
+ i=2
+ test -f t-service2-pid-7568
+ test 2 -lt 20
+ sleep 0.3
++ expr 2 + 1
+ i=3
+ test -f t-service2-pid-7568
+ test 3 -lt 20
+ sleep 0.3
++ expr 3 + 1
+ i=4
+ test -f t-service2-pid-7568
+ test 4 -lt 20
+ sleep 0.3
++ expr 4 + 1
+ i=5
+ test -f t-service2-pid-7568
+ test 5 -lt 20
+ sleep 0.3
++ expr 5 + 1
+ i=6
+ test -f t-service2-pid-7568
+ test 6 -lt 20
+ sleep 0.3
++ expr 6 + 1
+ i=7
+ test -f t-service2-pid-7568
+ test 7 -lt 20
+ sleep 0.3
++ expr 7 + 1
+ i=8
+ test -f t-service2-pid-7568
+ test 8 -lt 20
+ sleep 0.3
++ expr 8 + 1
+ i=9
+ test -f t-service2-pid-7568
+ test 9 -lt 20
+ sleep 0.3
++ expr 9 + 1
+ i=10
+ test -f t-service2-pid-7568
+ test 10 -lt 20
+ sleep 0.3
++ expr 10 + 1
+ i=11
+ test -f t-service2-pid-7568
+ test 11 -lt 20
+ sleep 0.3
++ expr 11 + 1
+ i=12
+ test -f t-service2-pid-7568
+ test 12 -lt 20
+ sleep 0.3
++ expr 12 + 1
+ i=13
+ test -f t-service2-pid-7568
+ test 13 -lt 20
+ sleep 0.3
++ expr 13 + 1
+ i=14
+ test -f t-service2-pid-7568
+ test 14 -lt 20
+ sleep 0.3
++ expr 14 + 1
+ i=15
+ test -f t-service2-pid-7568
+ test 15 -lt 20
+ sleep 0.3
++ expr 15 + 1
+ i=16
+ test -f t-service2-pid-7568
+ test 16 -lt 20
+ sleep 0.3
++ expr 16 + 1
+ i=17
+ test -f t-service2-pid-7568
+ test 17 -lt 20
+ sleep 0.3
++ expr 17 + 1
+ i=18
+ test -f t-service2-pid-7568
+ test 18 -lt 20
+ sleep 0.3
++ expr 18 + 1
+ i=19
+ test -f t-service2-pid-7568
+ test 19 -lt 20
+ sleep 0.3
++ expr 19 + 1
+ i=20
+ test -f t-service2-pid-7568
+ test 20 -lt 20
+ test -f t-service2-pid-7568
+ cat t-log-7568
2017-09-26 18:48:23 Service root has been started.
2017-09-26 18:48:23 Service test1 has been started.
2017-09-26 18:48:25 Service test2 has been started.
2017-09-26 18:48:26 Respawning test1.
2017-09-26 18:48:26 Service test1 has been started.
2017-09-26 18:48:27 Respawning test2.
2017-09-26 18:48:28 Service test2 has been started.
2017-09-26 18:48:29 Respawning test1.
2017-09-26 18:48:29 Service test1 has been started.
2017-09-26 18:48:30 Respawning test2.
2017-09-26 18:48:35 Service test2 could not be started.
+ rm -f t-socket-7568 t-conf-7568 t-stamp-7568 t-log-7568
+ test -f t-pid-7568
++ cat t-pid-7568
+ kill 7577
+ rm -f t-pid-7568
+ test -f t-service1-pid-7568
++ cat t-service1-pid-7568
+ kill 7650
+ test -f t-service2-pid-7568
+ true
+ rm -f t-service1-pid-7568 t-service2-pid-7568
./tests/respawn.sh: line 6:  7577 Terminated              shepherd -I -s "$socket" -c "$conf" -l "$log" --pid="$pid"
FAIL tests/respawn.sh (exit status: 1)


--=-/iYFj4vlXTnCLl2X2HpV--





Information forwarded to bug-guix@HIDDEN:
bug#28588; Package guix. Full text available.

Message received at 28588 <at> debbugs.gnu.org:


Received: (at 28588) by debbugs.gnu.org; 26 Sep 2017 15:41:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 26 11:41:50 2017
Received: from localhost ([127.0.0.1]:33372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dwrzZ-000692-MD
	for submit <at> debbugs.gnu.org; Tue, 26 Sep 2017 11:41:49 -0400
Received: from bs-one.disroot.org ([178.21.23.139]:55646 helo=disroot.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leestrobel@HIDDEN>) id 1dwrvt-000629-V1
 for 28588 <at> debbugs.gnu.org; Tue, 26 Sep 2017 11:38:02 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 7F9A227FDC;
 Tue, 26 Sep 2017 17:37:58 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1506440278; bh=CB5XuhZiIdn8vB3UIZOJe1osLjksrCYb6C++xxhxkdg=;
 h=Date:From:Subject:To:Cc:In-Reply-To:References:From;
 b=gwkMTujW0eMj8UR9m9bsd+hSS5ywKlsY6cMiP2DJ05vJ1z4EkFXY0NB/ck6mLtA7A
 pKfpp6aYpKKnJ5LgccGgfU43pW00VioQQ8w8v1spBHDQVnmsJFAmzU/uGuG3Bo630Y
 mHgQlzFNO/WgZUF4wlK840v5A3t95AvkmRc5rODw=
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from disroot.org ([127.0.0.1])
 by localhost (mail01.disroot.lan [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id h6xwSGaxbP5W; Tue, 26 Sep 2017 17:37:56 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1506440276; bh=CB5XuhZiIdn8vB3UIZOJe1osLjksrCYb6C++xxhxkdg=;
 h=Date:From:Subject:To:Cc:In-Reply-To:References:From;
 b=ks2JpQQvsBPIoLHEaG1bACoorbx9GC06TXu70FRejhStutQ4knLT5mN3SG0ODftz8
 qAiJ4eTFm4RVW0qk59dnap9JzDuWoyzHbO6+icMlPIOjv5p/u70JIjpz6V8DDYiAyb
 0e7zbSyPmdKbXFtT0BnNSvW8wlciJpMgVB3CsN1A=
Date: Tue, 26 Sep 2017 15:37:56 +0000
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
From: leestrobel@HIDDEN
Message-ID: <50d916edb7f19d9e0aeb7c588915b25d@HIDDEN>
Subject: Re: bug#28588: Issue with GNU Shepherd make check
To: "Ricardo Wurmus" <rekado@HIDDEN>
In-Reply-To: <87mv5h65jo.fsf@HIDDEN>
References: <87mv5h65jo.fsf@HIDDEN>
 <0f522ae23f8afa2defc3abc7d2cfe187@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28588
X-Mailman-Approved-At: Tue, 26 Sep 2017 11:41:48 -0400
Cc: 28588 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Hi Ricardo,=0A=0AThanks for your reply. I'm at work right now, but I'll t=
ry it again this evening and paste exactly what it says.=0A=0ARegards,=0A=
=0ALee=0A=0A=0ASeptember 26, 2017 7:52 AM, "Ricardo Wurmus" <rekado@eleph=
ly.net> wrote:=0A=0A> leestrobel@HIDDEN writes:=0A> =0A>> If I try '=
make check' without root privileges, some other errors get=0A>> thrown up=
.=0A> =0A> What errors are those?=0A> =0A> --=0A> Ricardo=0A> =0A> GPG: B=
CA6 89B6 3655 3801 C3C6 2150 197A 5888 235F ACAC=0A> https://elephly.net




Information forwarded to bug-guix@HIDDEN:
bug#28588; Package guix. Full text available.

Message received at 28588 <at> debbugs.gnu.org:


Received: (at 28588) by debbugs.gnu.org; 26 Sep 2017 11:52:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 26 07:52:55 2017
Received: from localhost ([127.0.0.1]:59801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dwoQ2-0003DZ-Pp
	for submit <at> debbugs.gnu.org; Tue, 26 Sep 2017 07:52:54 -0400
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21109)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1dwoQ1-0003DQ-15
 for 28588 <at> debbugs.gnu.org; Tue, 26 Sep 2017 07:52:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1506426735; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type;
 l=242; bh=1emrIkiItiPIENWc4iwFGpJDmDtoJucXSWl2XqwOAQA=;
 b=K6Q78L1ooI/8C+CBc+nF/S6SRkQM9nyIu6l7KGRHBMah5VfNa2AFMPMLhWsN57Ys
 p3jt4fUaA6P504KNum/53AJvAWwMJglfRcsFjjLJpDjt2KXsw6arKMzhcZ3yGq3rVRg
 zV6afyChWoAi8NJ8mcx7nXeU7w9a1i6t8PH1XxvU=
Received: from localhost (141.80.247.133 [141.80.247.133]) by mx.zohomail.com
 with SMTPS id 1506426735356235.1206238043809;
 Tue, 26 Sep 2017 04:52:15 -0700 (PDT)
References: <0f522ae23f8afa2defc3abc7d2cfe187@HIDDEN>
User-agent: mu4e 0.9.18; emacs 25.3.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: leestrobel@HIDDEN
Subject: Re: bug#28588: Issue with GNU Shepherd make check
In-reply-to: <0f522ae23f8afa2defc3abc7d2cfe187@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Tue, 26 Sep 2017 13:52:11 +0200
Message-ID: <87mv5h65jo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28588
Cc: 28588 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


leestrobel@HIDDEN writes:

> If I try 'make check' without root privileges, some other errors get
> thrown up.

What errors are those?

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net





Information forwarded to bug-guix@HIDDEN:
bug#28588; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Sep 2017 21:36:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 24 17:36:17 2017
Received: from localhost ([127.0.0.1]:56664 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dwEZT-0004Un-Uq
	for submit <at> debbugs.gnu.org; Sun, 24 Sep 2017 17:36:17 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leestrobel@HIDDEN>) id 1dwA4l-0005wh-ER
 for submit <at> debbugs.gnu.org; Sun, 24 Sep 2017 12:48:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <leestrobel@HIDDEN>) id 1dwA4f-00026k-3G
 for submit <at> debbugs.gnu.org; Sun, 24 Sep 2017 12:48:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39125)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <leestrobel@HIDDEN>)
 id 1dwA4e-00026g-Vm
 for submit <at> debbugs.gnu.org; Sun, 24 Sep 2017 12:48:09 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50710)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <leestrobel@HIDDEN>) id 1dwA4d-0006P2-SD
 for bug-guix@HIDDEN; Sun, 24 Sep 2017 12:48:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <leestrobel@HIDDEN>) id 1dwA4a-00025S-PV
 for bug-guix@HIDDEN; Sun, 24 Sep 2017 12:48:07 -0400
Received: from bs-one.disroot.org ([178.21.23.139]:36590 helo=disroot.org)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <leestrobel@HIDDEN>)
 id 1dwA4a-00024O-Ev
 for bug-guix@HIDDEN; Sun, 24 Sep 2017 12:48:04 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 4D4D527F59
 for <bug-guix@HIDDEN>; Sun, 24 Sep 2017 18:48:01 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1506271681; bh=x6H2A6UQFN6gN4ayMyD8FDAGcsE59uoQ8jO8Nu4znJ4=;
 h=Date:From:Subject:To:From;
 b=Y6Vr0MXDAQVq9RvHdzTa63c1g3mrezroZAn8AHJWh1Lzua+JbIGIhZ0TWfjQCTpKC
 Zutl+6qtPseEkdAm3ayYs0qHHIpNV6O95b/cGPjCu+1Qa+Pg1AfRyYiM4f/fzH0Bw3
 m/Otu1F4RA8cody7UDjX1Mr5iaO7T5enEOo5yIBQ=
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from disroot.org ([127.0.0.1])
 by localhost (mail01.disroot.lan [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id dEKhT74PV0NO for <bug-guix@HIDDEN>;
 Sun, 24 Sep 2017 18:47:59 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1506271679; bh=x6H2A6UQFN6gN4ayMyD8FDAGcsE59uoQ8jO8Nu4znJ4=;
 h=Date:From:Subject:To:From;
 b=r4jcwAd77FokLmizCqGSA0QralzBEKhxhs09xbXBViNBPUyJb9MBtwxeJB6/KL9uj
 rGsy3yyh4MlZxddffkJPH1ypLuHplli/ujO6g074nwN1bdrODqfvz7mj9TWzN8bJ+h
 bt+gj2y7BU85wBNtShweJOE+OxggCHh6pRd5i1+A=
Date: Sun, 24 Sep 2017 16:47:58 +0000
Content-Type: multipart/alternative;
 boundary="--=_RainLoop_182_518247983.1506271678"
From: leestrobel@HIDDEN
Message-ID: <0f522ae23f8afa2defc3abc7d2cfe187@HIDDEN>
Subject: Issue with GNU Shepherd make check
To: bug-guix@HIDDEN
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 24 Sep 2017 17:36:15 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)


----=_RainLoop_182_518247983.1506271678
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable

Hi,=0A=0AI'm trying to compile and install GNU Shepherd, as I'd like to t=
ry it out; however, when I run 'make check' as root, it reboots my machin=
e within a few seconds (which isn't very helpful!). If I try 'make check'=
 without root privileges, some other errors get thrown up.=0A=0AI'm tryin=
g to compile on a very minimal 'Linux From Scratch' system on an x86_64 A=
pple Macbook (Core 2 Duo). I installed Guile beforehand, and that seemed =
to test ok. Basically, I want to try out Shepherd instead of the SysVinit=
 that they recommend in LFS.=0A=0AI'd like to try out Shepherd, but I'd b=
e a bit reluctant to if I can't check the compiled files first.=0A=0AWoul=
d be v grateful for any assistance.=0A=0AThanks!=0A=0ALee

----=_RainLoop_182_518247983.1506271678
Content-Type: text/html; charset="utf-8"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE html><html><head><meta http-equiv=3D"Content-Type" content=3D"t=
ext/html; charset=3Dutf-8" /></head><body><div data-html-editor-font-wrap=
per=3D"true" style=3D"font-family: arial, sans-serif; font-size: 13px;"> =
<signature></signature>Hi,<br><br>I'm trying to compile and install GNU S=
hepherd, as I'd like to try it out; however, when I run 'make check' as r=
oot, it reboots my machine within a few seconds (which isn't very helpful=
!). If I try 'make check' without root privileges, some other errors get =
thrown up.<br><br>I'm trying to compile on a very minimal 'Linux From Scr=
atch' system on an x86_64 Apple Macbook (Core 2 Duo). I installed Guile b=
eforehand, and that seemed to test ok. Basically, I want to try out Sheph=
erd instead of the SysVinit that they recommend in LFS.<br><br>I'd like t=
o try out Shepherd, but I'd be a bit reluctant to if I can't check the co=
mpiled files first.<br><br>Would be v grateful for any assistance.<br><br=
>Thanks!<br><br>Lee</div></body></html>

----=_RainLoop_182_518247983.1506271678--




Acknowledgement sent to leestrobel@HIDDEN:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#28588; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 24 Nov 2017 22:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.